$(document).ready(function () {
    loadHospitals();

    function loadHospitals() {
        $.ajax({
            url: '/api/hospitals/available',
            method: 'GET',
            success: function(response) {
                if(response.code === 200) {
                    populateTable(response.data);
                } else {
                    alert(response.msg);
                }
            },
            error: function(xhr) {
                alert('Error loading hospitals: ' + xhr.responseText);
            }
        });
    }

    $("#hospitalForm").submit(function(e) {
        e.preventDefault();
        const hospitalData = {
            name: $("#hospitalName").val(),
            location: $("#hospitalLocation").val(),
            phone: $("#hospitalPhone").val(),
            totalBeds: parseInt($("#hospitalTotalBeds").val()),
            availableBeds: parseInt($("#hospitalAvailableBeds").val())
        };

        $.ajax({
            url: '/api/hospitals',
            method: 'POST',
            contentType: 'application/json',
            data: JSON.stringify(hospitalData),
            success: function(response) {
                if(response.code === 200) {
                    alert('Hospital added successfully');
                    $("#overlay").fadeOut();
                    loadHospitals();
                } else {
                    alert(response.msg);
                }
            },
            error: function(xhr) {
                alert('Error adding hospital: ' + xhr.responseText);
            }
        });
    });

    // Add delete functionality
    $(document).on('click', '.delete-btn', function() {
        const hospitalId = $(this).data('id');
        if(confirm('Are you sure you want to delete this hospital?')) {
            $.ajax({
                url: '/api/hospitals',
                method: 'DELETE',
                contentType: 'application/json',
                data: JSON.stringify([hospitalId]),
                success: function(response) {
                    if(response.code === 200) {
                        loadHospitals();
                    } else {
                        alert(response.msg);
                    }
                },
                error: function(xhr) {
                    alert('Error deleting hospital: ' + xhr.responseText);
                }
            });
        }
    });
});
